# -*- coding: utf-8 -*-
"""Sample model module."""

from sqlalchemy import *
from sqlalchemy.orm import mapper, relation
from sqlalchemy import Table, ForeignKey, Column
from sqlalchemy.types import Integer, Unicode
#from sqlalchemy.orm import relationship, backref

from mirrormanager.model import DeclarativeBase, metadata, DBSession


class GroupPermission(DeclarativeBase):
    __tablename__ = 'group_permission'


    permission_id = Column('permission_id', Integer, ForeignKey('permission.id'), primary_key=True)
    group_id = Column('group_id', Integer, ForeignKey('tg_group.id'), primary_key=True)
