# -*- coding: utf-8 -*-
"""Country Continent redirect Controller"""

import transaction

from tg import expose, flash, require, url, request, redirect, validate
from tg.decorators import override_template
from pylons.i18n import ugettext as _, lazy_ugettext as l_
from tgext.admin.tgadminconfig import TGAdminConfig
from tgext.admin.controller import AdminController
from repoze.what import predicates
from sqlalchemy import and_

from mirrormanager.lib.base import BaseController
from mirrormanager.model import DBSession, metadata
from mirrormanager.controllers.error import ErrorController
from mirrormanager import model
from mirrormanager.controllers.secure import SecureController

from mirrormanager import model
from mirrormanager.model import *

from mirrormanager.controllers.forms import *
from mirrormanager.controllers.utils import *
from mirrormanager.controllers.simpledbobject import *

country_continent_redirect_form = CountryContinentRedirectForm(submit_text="Create Country->Continent Redirect")


class CountryContinentRedirectController(SimpleDbObjectController):
    page_title = "CountryContinentRedirect"
    myClass = CountryContinentRedirect
    url_prefix="country_continent_redirect"
    form = country_continent_redirect_form

    @expose(template="mirrormanager.templates.boringform")
    @validate(form=form)
    #@error_handler(SimpleDbObjectController.new)
    def create(self, **kwargs):
        SimpleDbObjectController.create(self, **kwargs)

    @expose(template="mirrormanager.templates.boringform")
    @validate(form=form)
    #@error_handler()
    def update(self, obj, **kwargs):
        print "Country Continent redirect -- update"
        print obj, kwargs
        model.DBSession.query(CountryContinentRedirect).update(kwargs)
        submit_action = url("/country_continent_redirect/%s" % obj)
        redirect(submit_action)
        #return SimpleDbObjectController.update(self, obj, **kwargs)
