# -*- coding: utf-8 -*-
"""Sample model module."""

from sqlalchemy import *
from sqlalchemy.orm import mapper, relation
from sqlalchemy import Table, ForeignKey, Column
from sqlalchemy.types import Integer, Unicode
#from sqlalchemy.orm import relation, backref

from mirrormanager.model import DeclarativeBase, metadata, DBSession


class HostCountryAllowed(DeclarativeBase):
    __tablename__ = 'host_country_allowed'

    id = Column(Integer, primary_key=True)
    host = Column('host_id', Integer, ForeignKey('host.id'))
    country = Column(String, nullable=False)

    def my_site(self):
        return self.host.my_site()
